### Method

# AppStream Pool add_components

since: 0.15.0

#### Declaration [src]

    gboolean
    as_pool_add_components (
      AsPool* pool,
      AsComponentBox* cbox,
      GError** error
    )

#### Description [src]

Register a set of components with the pool temporarily. Data from components added like this will not be cached.

Available since: 0.15.0

#### Parameters

`cbox`

  Type: `AsComponentBox`

  Components to add to the pool.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the new components were successfully added to the pool.